Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8182147

jdk.jdeps unnecessarily requires java.base

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 9, 10
    • Fix Version/s: 9-repo-jigsaw
    • Component/s: tools
    • Labels:
      None

      Description

      module jdk.jdeps {
          requires java.base;
          ...
      }

      "requires java.base" is unnecessary, and it's confusing why jdk.jdeps is the only formally released module which requires java.base.

        Attachments

          Activity

            People

            Assignee:
            mchung Mandy Chung
            Reporter:
            mli Hamlin Li
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: